# Uses of Interface
org.eclipse.e4.ui.css.core.dom.properties.css2.CSS2FontProperties

Packages that use CSS2FontProperties
Package
Description
org.eclipse.e4.ui.css.core.css2
org.eclipse.e4.ui.css.core.dom.properties.css2
org.eclipse.e4.ui.css.core.resources
org.eclipse.e4.ui.css.swt.helpers

## Uses of CSS2FontProperties in org.eclipse.e4.ui.css.core.css2

Methods in org.eclipse.e4.ui.css.core.css2 that return CSS2FontProperties
Modifier and Type
Method
Description
`static CSS2FontProperties`
CSS2FontPropertiesHelpers.`createCSS2FontProperties(CSSValue value, String property)`
Create and return `CSS2FontProperties` instance from `value`.
`static CSS2FontProperties`
CSS2FontPropertiesHelpers.`getCSS2FontProperties(CSSElementContext context)`
Get `CSS2FontProperties` from `CSSElementContext` context.
Methods in org.eclipse.e4.ui.css.core.css2 with parameters of type CSS2FontProperties
Modifier and Type
Method
Description
`static void`
CSS2FontPropertiesHelpers.`setCSS2FontProperties(CSS2FontProperties fontProperties, CSSElementContext context)`
Set `CSS2FontProperties` `fontProperties` into `CSSElementContext` context.
`static void`
CSS2FontPropertiesHelpers.`updateCSSPropertyFont(CSS2FontProperties fontProperties, String property, CSSValue value)`
Update the `property of` `fontProperties` instance with the `value`.
`static void`
CSS2FontPropertiesHelpers.`updateCSSPropertyFontComposite(CSS2FontProperties font, CSSValue value)`
Update `fontProperties` instance with the `CSSValue` `value`. value can be `CSSPrimitiveValue` or `CSSValueList`.
`static void`
CSS2FontPropertiesHelpers.`updateCSSPropertyFontFamily(CSS2FontProperties font, CSSValue value)`
Update CSS2FontProperties instance with font-family.
`static void`
CSS2FontPropertiesHelpers.`updateCSSPropertyFontSize(CSS2FontProperties font, CSSValue value)`
Update CSS2FontProperties instance with font-size.
`static void`
CSS2FontPropertiesHelpers.`updateCSSPropertyFontStyle(CSS2FontProperties font, CSSValue value)`
Update CSS2FontProperties instance with font-style.
`static void`
CSS2FontPropertiesHelpers.`updateCSSPropertyFontWeight(CSS2FontProperties font, CSSValue value)`
Update CSS2FontProperties instance with font-weight.

## Uses of CSS2FontProperties in org.eclipse.e4.ui.css.core.dom.properties.css2

Classes in org.eclipse.e4.ui.css.core.dom.properties.css2 that implement CSS2FontProperties
Modifier and Type
Class
Description
`class`
`CSS2FontPropertiesImpl`
Methods in org.eclipse.e4.ui.css.core.dom.properties.css2 with parameters of type CSS2FontProperties
Modifier and Type
Method
Description
`protected void`
AbstractCSSPropertyFontHandler.`applyCSSPropertyFontFamily(CSS2FontProperties font, CSSValue value, String pseudo, CSSEngine engine)`
`protected void`
AbstractCSSPropertyFontHandler.`applyCSSPropertyFontSize(CSS2FontProperties font, CSSValue value, String pseudo, CSSEngine engine)`
`protected void`
AbstractCSSPropertyFontHandler.`applyCSSPropertyFontStyle(CSS2FontProperties font, CSSValue value, String pseudo, CSSEngine engine)`
`protected void`
AbstractCSSPropertyFontHandler.`applyCSSPropertyFontWeight(CSS2FontProperties font, CSSValue value, String pseudo, CSSEngine engine)`

## Uses of CSS2FontProperties in org.eclipse.e4.ui.css.core.resources

Methods in org.eclipse.e4.ui.css.core.resources with parameters of type CSS2FontProperties
Modifier and Type
Method
Description
`static String`
CSSResourcesHelpers.`getCSSFontPropertiesKey(CSS2FontProperties fontProperties)`

## Uses of CSS2FontProperties in org.eclipse.e4.ui.css.swt.helpers

Methods in org.eclipse.e4.ui.css.swt.helpers that return CSS2FontProperties
Modifier and Type
Method
Description
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Font font)`
Build CSS2FontProperties from SWT Font.
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Font font, CSSElementContext context)`
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Widget widget, CSSElementContext context)`
Get CSS2FontProperties from the widget.
`static CSS2FontProperties`
CSSSWTFontHelper.`getCSS2FontProperties(Widget widget, Font font, CSSElementContext context)`
Get CSS2FontProperties from Control stored into Data of Control.
Methods in org.eclipse.e4.ui.css.swt.helpers with parameters of type CSS2FontProperties
Modifier and Type
Method
Description
`static Font`
CSSSWTFontHelper.`getFont(CSS2FontProperties fontProperties, FontData oldFontData, Display display)`
`static Font`
CSSSWTFontHelper.`getFont(CSS2FontProperties fontProperties, Control control)`
Get CSS2FontProperties from Font of JComponent and store CSS2FontProperties instance into ClientProperty of JComponent.
`static FontData`
CSSSWTFontHelper.`getFontData(CSS2FontProperties fontProperties, FontData oldFontData)`
Return FontData from `CSS2FontProperties`.
`static int`
CSSSWTFontHelper.`getSWTStyle(CSS2FontProperties fontProperties, FontData fontData)`
Return SWT style Font from `CSS2FontProperties`.